package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class GoblinNftCheckVo implements Serializable, Cloneable {
    @ApiModelProperty(value = "名单id")
    private Integer status;
    @ApiModelProperty(value = "优先购名称")
    private String skuId;

    private static final GoblinNftCheckVo obj = new GoblinNftCheckVo();

    public static GoblinNftCheckVo getNew() {
        try {
            return (GoblinNftCheckVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new GoblinNftCheckVo();
    }
}
